Axsync API v2

Workspaces

A workspace owns notebooks, members, billing and settings. Personal accounts have exactly one.

The workspace object

FieldTypeDescription
idstringUnique identifier, prefixed with ws_.
name requiredstringDisplay name.
slugstringURL-safe identifier, unique.
planstringfree, plus or team.
seatsintegerPaid seats.
created_attimestampCreation time, RFC 3339 in UTC.

Example

{
  "id": "ws_8f3k2Q9xLm",
  "name": "Morgan Studio",
  "slug": "morgan-studio",
  "plan": "plus",
  "seats": 5,
  "created_at": "2026-09-14T08:21:07Z"
}

GET /workspaces

List workspaces. Returns a paginated list of workspaces.

Required scope: workspaces:read

Query parameters

FieldTypeDescription
limitintegerPage size, 1–100. Default 25.
cursorstringCursor from the previous page.
sortstringField to sort by, prefix - for descending.
filterstringFilter expression, see Filtering and sorting.

Request

curl -X GET "https://api.axnode.net/v2/workspaces" \
  -H "Authorization: Bearer $AXSYNC_TOKEN"
const res = await fetch('https://api.axnode.net/v2/workspaces', {
  method: 'GET',
  headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();
import requests

res = requests.get(
    'https://api.axnode.net/v2/workspaces',
    headers={'Authorization': f'Bearer {token}'},
)
data = res.json()

Response 200

{
  "data": [
    {
      "id": "ws_8f3k2Q9xLm",
      "name": "Morgan Studio",
      "slug": "morgan-studio",
      "plan": "plus",
      "seats": 5,
      "created_at": "2026-09-14T08:21:07Z"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

POST /workspaces

Create a workspace. Creates a workspace.

Required scope: workspaces:write

Body parameters

FieldTypeDescription
name requiredstringDisplay name.
slugstringURL-safe identifier, unique.
planstringfree, plus or team.
seatsintegerPaid seats.

Request

curl -X POST "https://api.axnode.net/v2/workspaces" \
  -H "Authorization: Bearer $AXSYNC_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "Morgan Studio"}'
const res = await fetch('https://api.axnode.net/v2/workspaces', {
  method: 'POST',
  headers: { Authorization: `Bearer ${token}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({"name": "Morgan Studio"})
});
const data = await res.json();
import requests

res = requests.post(
    'https://api.axnode.net/v2/workspaces',
    headers={'Authorization': f'Bearer {token}'}, json={"name": "Morgan Studio"},
)
data = res.json()

Response 201

{
  "id": "ws_8f3k2Q9xLm",
  "name": "Morgan Studio",
  "slug": "morgan-studio",
  "plan": "plus",
  "seats": 5,
  "created_at": "2026-09-14T08:21:07Z"
}

GET /workspaces/{id}

Retrieve a workspace. Retrieves a workspace by its identifier.

Required scope: workspaces:read

Request

curl -X GET "https://api.axnode.net/v2/workspaces/ws_8f3k2Q9xLm" \
  -H "Authorization: Bearer $AXSYNC_TOKEN"
const res = await fetch('https://api.axnode.net/v2/workspaces/ws_8f3k2Q9xLm', {
  method: 'GET',
  headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();
import requests

res = requests.get(
    'https://api.axnode.net/v2/workspaces/ws_8f3k2Q9xLm',
    headers={'Authorization': f'Bearer {token}'},
)
data = res.json()

Response 200

{
  "id": "ws_8f3k2Q9xLm",
  "name": "Morgan Studio",
  "slug": "morgan-studio",
  "plan": "plus",
  "seats": 5,
  "created_at": "2026-09-14T08:21:07Z"
}

PATCH /workspaces/{id}

Update a workspace. Updates fields of a workspace. Only supplied fields change.

Required scope: workspaces:write

Body parameters

FieldTypeDescription
name requiredstringDisplay name.
slugstringURL-safe identifier, unique.
planstringfree, plus or team.
seatsintegerPaid seats.

Request

curl -X PATCH "https://api.axnode.net/v2/workspaces/ws_8f3k2Q9xLm" \
  -H "Authorization: Bearer $AXSYNC_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "Morgan Studio"}'
const res = await fetch('https://api.axnode.net/v2/workspaces/ws_8f3k2Q9xLm', {
  method: 'PATCH',
  headers: { Authorization: `Bearer ${token}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({"name": "Morgan Studio"})
});
const data = await res.json();
import requests

res = requests.patch(
    'https://api.axnode.net/v2/workspaces/ws_8f3k2Q9xLm',
    headers={'Authorization': f'Bearer {token}'}, json={"name": "Morgan Studio"},
)
data = res.json()

Response 200

{
  "id": "ws_8f3k2Q9xLm",
  "name": "Morgan Studio",
  "slug": "morgan-studio",
  "plan": "plus",
  "seats": 5,
  "created_at": "2026-09-14T08:21:07Z"
}

DELETE /workspaces/{id}

Delete a workspace. Permanently deletes a workspace. This cannot be undone.

Required scope: workspaces:write

Request

curl -X DELETE "https://api.axnode.net/v2/workspaces/ws_8f3k2Q9xLm" \
  -H "Authorization: Bearer $AXSYNC_TOKEN"
const res = await fetch('https://api.axnode.net/v2/workspaces/ws_8f3k2Q9xLm', {
  method: 'DELETE',
  headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();
import requests

res = requests.delete(
    'https://api.axnode.net/v2/workspaces/ws_8f3k2Q9xLm',
    headers={'Authorization': f'Bearer {token}'},
)
data = res.json()

Response 200

{
  "deleted": true,
  "id": "ws_8f3k2Q9xLm"
}